> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Masterwachtwoord bijwerken

> Rename a master password under the path account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.nl.json PATCH /v1/public/accounts/{account_id}/credentials/{credential_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/credentials/{credential_id}:
    patch:
      tags:
        - public-accounts
        - public-credentials
      summary: Masterwachtwoord bijwerken
      description: Rename a master password under the path account.
      operationId: >-
        update_public_credential_v1_public_accounts__account_id__credentials__credential_id__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: credential_id
          required: true
          schema:
            format: uuid
            title: Credential Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CredentialUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validatiefout
      security:
        - PublicBearerAuth: []
components:
  schemas:
    CredentialUpdateRequest:
      description: Verzoek om een masterwachtwoord te hernoemen.
      properties:
        name:
          description: Weergavenaam van het masterwachtwoord
          maxLength: 100
          minLength: 1
          title: Naam
          type: string
      required:
        - name
      title: CredentialUpdateRequest
      type: object
    CredentialDTO:
      properties:
        created_at:
          description: Aanmaaktijdstip van het masterwachtwoord
          title: Aangemaakt op
          type: string
        id:
          description: UUID van masterwachtwoord
          format: uuid
          title: ID
          type: string
        name:
          description: Weergavenaam van het masterwachtwoord
          title: Naam
          type: string
        scope_id:
          description: Resource-UUID voor het bereik van het masterwachtwoord
          format: uuid
          title: Scope-id
          type: string
        scope_type:
          description: Type resourcebereik waarin het masterwachtwoord geldt
          enum:
            - account
            - workspace
            - domain
          title: Scopetype
          type: string
        updated_at:
          description: Tijdstip van laatste update van het masterwachtwoord
          title: Bijgewerkt op
          type: string
      required:
        - id
        - name
        - scope_type
        - scope_id
        - created_at
        - updated_at
      title: CredentialDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Locatie
          type: array
        msg:
          title: Bericht
          type: string
        type:
          title: Fouttype
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````